{
  "common": {
    "success": "成功",
    "failed": "失败",
    "updateSuccess": "更新成功",
    "updateFailed": "更新失败",
    "createSuccess": "创建成功",
    "createFailed": "创建失败",
    "deleteSuccess": "删除成功",
    "deleteFailed": "删除失败",
    "objectNotFound": "对象未找到",
    "databaseError": "数据库错误",
    "cacheError": "缓存错误",
    "constraintError": "操作失败: 数据冲突",
    "validationError": "操作失败: 校验失败",
    "notSingularError": "操作失败: 数据不唯一",
    "permissionDeny": "用户无权限访问此接口",
    "unauthorized": "未登录，请先登录"
  },
  "init": {
    "alreadyInit": "已初始化，请勿重复进行此操作",
    "initializeIsRunning": "正在初始化，请稍等"
  },
  "auth": {
    "wrongCode": "验证码错误",
    "wrongPassword": "密码错误",
    "userNotFound": "用户不存在",
    "needPhoneOrEmail": "请输入正确的手机号码或邮箱",
    "jwtTokenGenerateErr": "Token生成失败",
    "providerNotInit": "服务提供商未初始化，请联系开发商"
  },
  "register": {
    "user": {
      "usernameExists": "用户名已被注册",
      "passwordInvalid": "密码格式错误",
      "phoneNumberExists": "手机号码已被绑定",
      "exists": "用户已存在",
      "nicknameExists": "昵称已被使用",
      "emailExists": "该邮箱已被使用"
    }
  },
  "user": {
    "updateMetaErr": "更新Metadata错误"
  },
  "role": {
    "codeNotEmpty": "角色代码不能为空",
    "codeInUsed": "角色代码已被使用"
  },
  "oauthProvider": {
    "nameNotEmpty": "提供商名称不能为空",
    "nameInUsed": "提供商名称已被使用"
  },
  "userSocial": {
    "userIdNotEmpty": "用户ID不能为空"
  },
  "dictionary": {
    "nameNotEmpty": "字典名不能为空",
    "nameInUsed": "字典名已被使用",
    "detail": {
      "pidNotEmpty": "字典ID不能为空",
      "keyNotEmpty": "键（Key）不能为空",
      "exists": "字典已存在",
      "idNotEmpty": "主键（ID）不能为空"
    }
  },
  "captcha": {
    "invalid": "验证码错误",
    "generateErr": "生成验证码时发生错误"
  }
}